## ros-cmake-modules 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cmake_modules)

find_package(catkin REQUIRED)

catkin_package(CFG_EXTRAS cmake_modules-extras.cmake)

## Install all cmake files
install(DIRECTORY cmake/Modules
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake)

## ros-cmake-modules 0.4.0

=== debian/changelog ===
ros-cmake-modules (0.4.0-2) unstable; urgency=medium

  * Use ros- prefix on binary package ros-cmake-modules
  * Initial release 2nd attempt (Closes: #804004)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 22 Nov 2015 19:26:56 +0000

ros-cmake-modules (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #804004).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 13 Nov 2015 23:09:05 +0000

=== debian/control ===
Source: ros-cmake-modules
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), cmake, catkin
Standards-Version: 3.9.6
Homepage: http://wiki.ros.org/cmake_modules
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-cmake-modules.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-cmake-modules.git

Package: ros-cmake-modules
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS CMake Modules
 This package is part of Robot OS (ROS). It contains a bunch of CMake
 Modules which are not distributed with CMake but are commonly used by
 ROS packages. The modules added are:
  * FindEigen.cmake
  * FindGSL.cmake
  * FindNUMPY.cmake
  * FindPoco.cmake
  * FindTBB.cmake
  * FindTinyXML.cmake
  * FindUUID.cmake
  * FindXenomai.cmake

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install --
	-rm -fr debian/ros-cmake-modules/usr/etc
	-rm -fr debian/ros-cmake-modules/usr/lib
	-rm -f debian/ros-cmake-modules/usr/*.*
	-rm -f debian/ros-cmake-modules/usr/.*

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cmake-modules-$1\.tar\.gz/ \
  https://github.com/ros/cmake_modules/releases .*/v?(\d\S*)\.tar\.gz

## ros-cmake-modules 0.4.1

=== debian/changelog ===
ros-cmake-modules (0.4.1-1) unstable; urgency=medium

  * Simplify rules
  * Update Vcs URLs
  * Update my email address
  * Remove lintian override, fixed in lintian 2.5.47
  * Simplify install target
  * Update watch file
  * New upstream version 0.4.1
  * Bump standards and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Jul 2017 13:04:48 +0200

=== debian/control ===
Source: ros-cmake-modules
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), cmake, catkin
Standards-Version: 4.0.0
Homepage: http://wiki.ros.org/cmake_modules
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-cmake-modules.git
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-cmake-modules.git

Package: ros-cmake-modules
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS CMake Modules
 This package is part of Robot OS (ROS). It contains a bunch of CMake
 Modules which are not distributed with CMake but are commonly used by
 ROS packages. The modules added are:
  * FindEigen.cmake
  * FindGflags.cmake
  * FindGSL.cmake
  * FindNUMPY.cmake
  * FindPoco.cmake
  * FindTBB.cmake
  * FindTinyXML.cmake
  * FindTinyXML2.cmake
  * FindUUID.cmake
  * FindXenomai.cmake

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-cmake-modules-$1.tar.gz%" \
    https://github.com/ros/cmake_modules/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-cmake-modules 0.4.2

=== debian/changelog ===
ros-cmake-modules (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * cleanup rules
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Jul 2019 07:51:41 +0200

ros-cmake-modules (0.4.1-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Add Multi-Arch according to hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 08 Apr 2018 13:04:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), cmake, catkin
-Standards-Version: 4.0.0
-Homepage: http://wiki.ros.org/cmake_modules
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-cmake-modules.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-cmake-modules.git
+Build-Depends: debhelper-compat (= 12), cmake, catkin
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/cmake_modules
+Vcs-Browser: https://salsa.debian.org/science-team/ros-cmake-modules
+Vcs-Git: https://salsa.debian.org/science-team/ros-cmake-modules.git
 
 Package: ros-cmake-modules
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Robot OS CMake Modules
  This package is part of Robot OS (ROS). It contains a bunch of CMake

## ros-cmake-modules 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(cmake_modules)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-cmake-modules (0.5.0-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 0.5.0
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Jan 2020 11:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper-compat (= 12), cmake, catkin
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/cmake_modules
 Vcs-Browser: https://salsa.debian.org/science-team/ros-cmake-modules

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-cmake-modules-$1.tar.gz%" \
    https://github.com/ros/cmake_modules/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-cmake-modules 0.5.2

=== tests/test_find_tinyxml/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(test_find_tinyxml)

find_package(catkin REQUIRED COMPONENTS cmake_modules)

find_package(TinyXML REQUIRED)

message("TinyXML_FOUND: ${TinyXML_FOUND}")
message("TinyXML_INCLUDE_DIRS: ${TinyXML_INCLUDE_DIRS}")
message("TinyXML_LIBRARIES: ${TinyXML_LIBRARIES}")

catkin_package(
  # INCLUDE ${TinyXML_INCLUDE_DIRS}  # Include this if one of your headers uses a header from TinyXML_INCLUDE_DIRS
  # LIBRARIES ${TinyXML_LIBRARIES}  # Include this if people who link against you need to link against TinyXML too
  # # OR
  # DEPENDS TinyXML  # Use this if you would use both of the above lines
)

=== debian/changelog ===
ros-cmake-modules (0.5.2-2) unstable; urgency=medium

  * Bump cmake_minimum_required() (Closes: #1113474)

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 18:27:58 +0200

ros-cmake-modules (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Aug 2025 10:14:45 +0200

ros-cmake-modules (0.5.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 12:28:57 +0200

ros-cmake-modules (0.5.0-2) unstable; urgency=medium

  * Remove Thomas from Uploaders, thanks for working on this
  * Drop gitlab-ci
  * Bump policy and debhelper versions
  * Fix filename in d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 03 Nov 2021 22:51:25 +0100

=== debian/control ===
Source: ros-cmake-modules
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 catkin,
 cmake,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/cmake_modules
Vcs-Browser: https://salsa.debian.org/science-team/ros-cmake-modules
Vcs-Git: https://salsa.debian.org/science-team/ros-cmake-modules.git

Package: ros-cmake-modules
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS CMake Modules
 This package is part of Robot OS (ROS). It contains a bunch of CMake
 Modules which are not distributed with CMake but are commonly used by
 ROS packages. The modules added are:
  * FindEigen.cmake
  * FindGflags.cmake
  * FindGSL.cmake
  * FindNUMPY.cmake
  * FindPoco.cmake
  * FindTBB.cmake
  * FindTinyXML.cmake
  * FindTinyXML2.cmake
  * FindUUID.cmake
  * FindXenomai.cmake

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ros
